=== debian/changelog ===
kmetronome (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/control:
    + Bump Standards-Version to 4.6.0
    + Add pandoc to B-Ds
  * d/copyright:
    + Update years
    + Add files licensed under CC-BY-SA-4
    + Add net.sourceforge.kmetronome.appdata.xml and CC0
    + Add myself under the d/ section
  * Update readme filename in d/docs
  * Add lintian-overrides
  * Fix spelling errors

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 23:16:58 +0100
