=== debian/control ===
Source: kmetronome
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>,
 Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libasound2-dev,
 libdrumstick-dev (>= 2.0.0-1~),
 pandoc,
 pkg-config
Standards-Version: 4.6.0
Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
Rules-Requires-Root: no

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer
