## kmetronome 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Drumstick Metronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,13 +17,13 @@
 cmake_minimum_required(VERSION 3.14)
 
 project ( kmetronome
-    VERSION 1.3.0
+    VERSION 1.3.1
     LANGUAGES CXX
     DESCRIPTION "ALSA Sequencer based MIDI metronome"
     HOMEPAGE_URL "https://kmetronome.sourceforge.io"
 )
 
-set(PROJECT_RELEASE_DATE "December 12, 2021")
+set(PROJECT_RELEASE_DATE "August 10, 2021")
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
@@ -53,7 +53,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} 5.12 COMPONENTS Gui Widgets DBus Svg LinguistTools REQUIRED)
 if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6 COMPONENTS Core5Compat SvgWidgets REQUIRED)
+    find_package(Qt6SvgWidgets REQUIRED)
 endif()
 
 find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
@@ -106,7 +106,7 @@
     COMMAND cp -r icons kmetronome-${PROJECT_VERSION}
     COMMAND cp -r translations kmetronome-${PROJECT_VERSION}
     COMMAND cp -r src kmetronome-${PROJECT_VERSION}
-    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* lconvert.pri COPYING INSTALL kmetronome.{lsm,pro,spec,spec.in} net.sourceforge.kmetronome.{desktop,service.in,appdata.xml} NEWS readme.md TODO kmetronome-${PROJECT_VERSION}
+    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* lconvert.pri COPYING INSTALL kmetronome.{lsm,pro,spec,spec.in} net.sourceforge.kmetronome.{desktop,service.in,metainfo.xml} NEWS readme.md TODO kmetronome-${PROJECT_VERSION}
     COMMAND tar -cj -f kmetronome-${PROJECT_VERSION}.tar.bz2 kmetronome-${PROJECT_VERSION}
     COMMAND tar -cz -f kmetronome-${PROJECT_VERSION}.tar.gz kmetronome-${PROJECT_VERSION}
     COMMAND rm -rf kmetronome-${PROJECT_VERSION}
@@ -116,5 +116,5 @@
 install( FILES net.sourceforge.kmetronome.desktop
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications )
 
-install( FILES net.sourceforge.kmetronome.appdata.xml
+install( FILES net.sourceforge.kmetronome.metainfo.xml
          DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo )
