=== data/CMakeLists.txt ===
install( FILES drums.ins samples.pat
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/kmetronome )
