=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,8 +15,8 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 set(MANPAGE ${PROJECT_NAME}.1)
-include(PandocMacros)
 if (BUILD_DOCS)
+    include(PandocMacros)
     if (UNIX AND NOT APPLE)
         add_manpage(${MANPAGE})
         install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANPAGE}
