=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2021 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -107,7 +107,6 @@
     target_link_libraries( kmetronome
         Qt6::Gui
         Qt6::SvgWidgets
-        Qt6::Core5Compat
      )
 endif()
