=== debian/changelog ===
kmetronome (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Drop spelling patch applied by upstream
  * Bump Standards Version to 4.6.1
  * d/copyright: The metainfo file has been renamed
  * Bump d/copyright years
  * Refresh lintian-overrides
  * Add Salsa CI Config

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Oct 2022 23:04:35 +0200
