=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libdrumstick-dev (>= 2.0.0-1~),
  pandoc,
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
