=== debian/changelog ===
kmetronome (1.4.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:29 +1100

kmetronome (1.4.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:53:17 +0000

kmetronome (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Build with Qt6
  * Bump Standards-Version to 4.6.2
  * Make the build depend on libdrumstick-dev >= 2.9.0-1~
  * Refresh lintian-overrides
  * Apply wrap-and-sort -ast
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Sun, 14 Jan 2024 19:48:55 +0100
