=== debian/control ===
Source: kmetronome
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>,
 Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 chrpath,
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libdrumstick-dev (>= 2.9.0-1~),
 libqt6core5compat6-dev [ia64],
 libqt6svg6-dev,
 pandoc,
 pkg-config,
 qt6-5compat-dev [!ia64],
 qt6-base-dev,
 qt6-tools-dev,
Standards-Version: 4.6.2
Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
Rules-Requires-Root: no

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer
