=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
   Drumstick Metronome - ALSA Sequencer based MIDI metronome
-  Copyright (C) 2005-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+  Copyright (C) 2005-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
