=== debian/changelog ===
kmetronome (1.4.1-3) unstable; urgency=low

  * Remove obsolete lintian-overrides
  * d/copyright: Update GPL-2 license text

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 12:02:07 +0200

kmetronome (1.4.1-2) unstable; urgency=medium

  * Make the build reproducible, thanks to lamby (Closes: #1092251)
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Sun, 04 May 2025 09:40:05 +0200

kmetronome (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1
  * Change B-D from pkg-config to pkgconf
  * Build-Depends on libdrumstick-dev >= 2.10.0-1~
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 01 Jan 2025 23:15:20 +0100
