=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kmetronome
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Arnout Engelen <arnouten@bzzt.net>,
@@ -13,15 +12,15 @@
  cmake,
  debhelper-compat (= 13),
  libasound2-dev,
- libdrumstick-dev (>= 2.9.0-1~),
+ libdrumstick-dev (>= 2.10.0-1~),
  libqt6core5compat6-dev [ia64],
  libqt6svg6-dev,
  pandoc,
- pkg-config,
+ pkgconf,
  qt6-5compat-dev [!ia64],
  qt6-base-dev,
  qt6-tools-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
