=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PROJECT_RELEASE_DATE=$(shell LC_ALL=C date --utc --date=@$(SOURCE_DATE_EPOCH) +'%B %d, %Y')
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DPROJECT_RELEASE_DATE=$(PROJECT_RELEASE_DATE)
