=== debian/watch ===
version=4
https://sf.net/kmetronome/kmetronome-(.*)\.tar\.gz
